---
title: x-ms-aria-flowfrom
slug: Web/Accessibility/ARIA/ARIA_Techniques/x-ms-aria-flowfrom
tags:
  - ARIA
  - Microsoft
  - Non-standard
---
<p id="Summary">{{APIRef("DOM")}}</p>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>x-ms-aria-flowfrom</strong></code> property specifies the id of the previous element in an alternative reading order, allowing assistive technology to override the general default of reading in document source order. The property serves to define element relationships utilizing <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques">ARIA relationship attributes</a> and the <code>aria-flowto</code> property.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">x-ms-aria-flowfrom="elementID";
</pre>

<h2 id="Value">Value</h2>

<p>The <code><strong>x-ms-aria-flowfrom</strong></code> property value uses an <a href="/en-US/docs/Web/CSS/ID_selectors">ID selector</a> to define which previous element the reading order will flow from.</p>

<h2 id="Example">Example</h2>

<pre>&lt;div tabindex="0" class="foo" id="element2" role="option" aria-posinset="1" aria-setsize="15" aria-flowto="element8" x-ms-aria-flowfrom="element5"&gt;
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques">ARIA relationship attributes</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
